Subject: Re: bug#78865: 31.0.50; Inconsistency between show-paren-mode and some cursor-movement commands

From: Dani Moncayo <[email-masked]>
Date: Mon, 23 Jun 2025 09:19:07 +0200

On Mon, Jun 23, 2025 at 8:42 AM Juri Linkov <[email-masked]> wrote:
>
> > Consider a C source file like the one created with the shell command below [1].
> >
> > If I visit that file with Emacs and move the cursor just before the
> > "[", I see that both square brackets are highlighted -- perfect.
> >
> > But then, if I type C-M-n from that point, I'd expect the cursor to
> > jump from the "[" to the "]".  Well, it does not. Instead, the cursor
> > jumps just after "f1()".
>
> Is this in c-mode or c-ts-mode?

This was using c-ts-mode.

> Are there any differences in this regard
> between c-mode or c-ts-mode?

I've now tried using c-mode: the highlighting is the same, but
pressing C-M-n results in an error: 'No next group'.

-- 
Dani Moncayo